## org.eclipse.uml2.uml
Interface PackageMerge

All Superinterfaces:
  DirectedRelationship, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Relationship

    public interface PackageMerge

extends DirectedRelationship

A representation of the model object 'Package Merge'. A package merge defines how the contents of one package are extended by the contents of another package.

The following features are supported:

- `Merged Package`
- `Receiving Package`

See Also:
  `UMLPackage.getPackageMerge()`

Method Summary
`Package` `getMergedPackage()` Returns the value of the 'Merged Package' reference.
`Package` `getReceivingPackage()` Returns the value of the 'Receiving Package' container reference.
`void` `setMergedPackage(Package value)` Sets the value of the '`Merged Package`' reference
`void` `setReceivingPackage(Package value)` Sets the value of the '`Receiving Package`' container reference

Methods inherited from interface org.eclipse.uml2.uml.DirectedRelationship
`getSources, getTargets`

Methods inherited from interface org.eclipse.uml2.uml.Relationship
`getRelatedElements`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMergedPackage

    Package getMergedPackage()

  Returns the value of the 'Merged Package' reference.

  This feature subsets the following features:

  - '`Target`'
  References the Package that is to be merged with the receiving package of the PackageMerge.

  Returns:
    the value of the 'Merged Package' reference.
  See Also:
    `setMergedPackage(org.eclipse.uml2.uml.Package)`, `UMLPackage.getPackageMerge_MergedPackage()`

### setMergedPackage

    void setMergedPackage(Package value)

  Sets the value of the '`Merged Package`' reference.

  Parameters:
    `value` - the new value of the 'Merged Package' reference.
  See Also:
    `getMergedPackage()`

### getReceivingPackage

    Package getReceivingPackage()

  Returns the value of the 'Receiving Package' container reference. It is bidirectional and its opposite is '`Package Merge`'.

  This feature subsets the following features:

  - '`Source`'
  - '`Owner`'
  References the Package that is being extended with the contents of the merged package of the PackageMerge.

  Returns:
    the value of the 'Receiving Package' container reference.
  See Also:
    `setReceivingPackage(org.eclipse.uml2.uml.Package)`, `UMLPackage.getPackageMerge_ReceivingPackage()`, `Package.getPackageMerges()`

### setReceivingPackage

    void setReceivingPackage(Package value)

  Sets the value of the '`Receiving Package`' container reference.

  Parameters:
    `value` - the new value of the 'Receiving Package' container reference.
  See Also:
    `getReceivingPackage()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.